Subject: monarch migration

From: Jim Herndon <[email-masked]>
Date: Sun, 31 Mar 1996 18:16:01 +4200

Sighted a monarch today at Ada, Oklahoma which is about 140 miles north of
Dallas.  It was flying north into a headwind of about 15-20 mph and making
good headway while staying about 2-3 feet above the ground.  It was sunny
and the temperature was 59 degrees.  I was outside all day and this was the
only one I saw.

Jim Herndon
[email-masked]